> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a specific version of a Registered Model

> Get a specific version of a Registered Model



## OpenAPI

````yaml /api-specs/6.3/public-api.yaml get /api/registeredmodels/v1/{modelName}/versions/{version}
openapi: 3.0.3
info:
  title: Domino Public API
  description: Domino Public API Endpoints
  version: 6.2.2
servers: []
security:
  - DominoApiKey: []
  - BearerAuthentication: []
tags:
  - name: AIGateway
  - name: AppInstances
  - name: AppVersions
  - name: Apps
  - name: AsyncPredictions
  - name: AuditTrail
  - name: BillingTag
  - name: BillingTagSettings
  - name: Cost
  - name: CustomMetrics
  - name: DataSource
  - name: DatasetRw
  - name: DeploymentTargets
  - name: Environments
  - name: GenAI
  - name: HardwareTier
  - name: Jobs
  - name: ModelAPI
  - name: ModelAPIVersion
  - name: ModelDeployment
  - name: Organizations
  - name: PPM
  - name: ProjectSharedDatasets
  - name: ProjectTemplates
  - name: Projects
  - name: ProjectsFiles
  - name: RegisteredModels
  - name: ServiceAccounts
  - name: Users
  - name: Workspaces
paths:
  /api/registeredmodels/v1/{modelName}/versions/{version}:
    get:
      tags:
        - RegisteredModels
      summary: Get a specific version of a Registered Model
      description: Get a specific version of a Registered Model
      operationId: getRegisteredModelVersion
      parameters:
        - description: Registered model name
          in: path
          name: modelName
          required: true
          schema:
            type: string
        - description: Version of the registered model
          in: path
          name: version
          required: true
          schema:
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RegisteredModelVersionDetailsV1'
          description: Success
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
        '500':
          $ref: '#/components/responses/500'
components:
  schemas:
    RegisteredModelVersionDetailsV1:
      properties:
        createdAt:
          description: When the latest version of the model was created
          example: '2022-03-12T02:13:44.467Z'
          format: date-time
          type: string
        experimentRunId:
          description: The name of experiment run linked to the model version
          example: db79712b47084c27a463a188bf901943
          type: string
        modelName:
          description: Name of the registered model
          example: churn-prediction
          type: string
        modelVersion:
          description: The latest version of the model
          example: 4
          type: integer
        modelVersionDescription:
          description: Description of the model version
          example: Customer churn model V1
          type: string
        ownerUsername:
          description: username of the project owner
          example: martin_hito
          type: string
        project:
          $ref: '#/components/schemas/RegisteredModelProjectSummaryV1'
        tags:
          $ref: '#/components/schemas/RegisteredModelTagsV1'
        updatedAt:
          description: When the latest version of the model was updated
          example: '2022-03-12T02:13:44.467Z'
          format: date-time
          type: string
        versionUiDetails:
          $ref: '#/components/schemas/RegisteredModelVersionUiDetailsV1'
      required:
        - modelName
        - modelVersion
        - modelVersionDescription
        - experimentRunId
        - project
        - versionUiDetails
        - tags
        - ownerUsername
        - createdAt
        - updatedAt
      type: object
    RegisteredModelProjectSummaryV1:
      description: type that tracks properties of the project associated with a model
      properties:
        id:
          description: ID of the project housing the model
          example: 62313ce67a0af0281c01a6a5
          type: string
        isGitBasedProject:
          description: Whether the project is a git-based project
          type: boolean
        name:
          description: Name of the project overview housing the model
          example: TO-DO
          type: string
        ownerUsername:
          description: Name of the project owner
          example: TO-DO
          type: string
      required:
        - id
        - name
        - ownerUsername
        - isGitBasedProject
      type: object
    RegisteredModelTagsV1:
      additionalProperties:
        type: string
      description: A map of key -> value
      type: object
    RegisteredModelVersionUiDetailsV1:
      properties:
        experimentRunInfo:
          $ref: '#/components/schemas/RegisteredModelVersionExperimentRunInfoV1'
        modelVersionDataSources:
          items:
            $ref: '#/components/schemas/RegisteredModelVersionDataSourceDetailsV1'
          type: array
        modelVersionDatasets:
          items:
            $ref: '#/components/schemas/RegisteredModelVersionDatasetDetailsV1'
          type: array
      required:
        - experimentRunInfo
        - modelVersionDataSources
        - modelVersionDatasets
      type: object
    FailureEnvelopeV1:
      properties:
        errors:
          description: Errors that caused a request to fail
          items:
            type: string
          type: array
        requestId:
          description: Id used to correlate a request with server actions.
          example: bbd78579-93c4-45ee-a983-0d5c8da6d5b1
          type: string
      required:
        - requestId
        - errors
      type: object
    RegisteredModelVersionExperimentRunInfoV1:
      properties:
        metrics:
          description: Run metrics.
          items:
            $ref: '#/components/schemas/RegisteredModelVersionExperimentRunMetricV1'
          type: array
        params:
          description: Run parameters.
          items:
            $ref: '#/components/schemas/RegisteredModelVersionExperimentRunParamV1'
          type: array
        runUrl:
          description: The snapshotId of the dataset
          type: string
      required:
        - metrics
        - params
        - runUrl
      type: object
    RegisteredModelVersionDataSourceDetailsV1:
      properties:
        dataSourceType:
          description: The dataSourceType of the datasource
          type: string
        id:
          description: The id of the datasource
          type: string
        name:
          description: The name of the datasource
          type: string
      required:
        - name
        - id
        - dataSourceType
      type: object
    RegisteredModelVersionDatasetDetailsV1:
      properties:
        id:
          description: The id of the dataset
          type: string
        name:
          description: The name of the dataset
          type: string
        snapshotId:
          description: The snapshotId of the dataset
          type: string
      required:
        - name
        - id
        - snapshotId
      type: object
    RegisteredModelVersionExperimentRunMetricV1:
      properties:
        key:
          description: Key identifying this metric.
          type: string
        timestamp:
          description: The timestamp at which this metric was recorded.
          example: '2022-03-12T02:13:44.467Z'
          format: date-time
          type: string
        value:
          description: Value associated with this metric.
          format: double
          type: number
      required:
        - key
        - value
        - timestamp
      type: object
    RegisteredModelVersionExperimentRunParamV1:
      properties:
        key:
          description: Key identifying this param.
          type: string
        value:
          description: Value associated with this param.
          type: string
      required:
        - key
        - value
      type: object
  responses:
    '400':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Bad Request
    '401':
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/FailureEnvelopeV1'
      description: >-
        The current user cannot perform this operation because they are not
        logged in
    '403':
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/FailureEnvelopeV1'
      description: The current user is not authorized to perform this operation
    '404':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Not Found
    '500':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Internal Server Error
  securitySchemes:
    DominoApiKey:
      in: header
      name: X-Domino-Api-Key
      type: apiKey
    BearerAuthentication:
      in: header
      name: Authorization
      type: apiKey

````